<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <!-- LINT EXCEPTION: xml_004: 1: Single character name can be upper case -->
  <property name="N" type="uchar" default="12" parameter="true" description="Number of delay lines."/>
  <!-- LINT EXCEPTION: xml_004: 1: Single character name can be upper case -->
  <property name="D" type="uchar" default="17" parameter="true" description="The depth of the delay line shift registers."/>
  <port name="input" producer="false" protocol="ushort_timed_sample-prot"/>
  <port name="output" producer="true" protocol="ushort_timed_sample-prot"/>
</componentspec>
